osgDB::ReadFileCallback Class Reference

`#include <Callbacks>`

Inheritance diagram for osgDB::ReadFileCallback:

## Public Member Functions

virtual ReaderWriter::ReadResult | openArchive (const std::string &filename, ReaderWriter::ArchiveStatus status, unsigned int indexBlockSizeHint, const Options *useObjectCache)
virtual ReaderWriter::ReadResult | readObject (const std::string &filename, const Options *options)
virtual ReaderWriter::ReadResult | readImage (const std::string &filename, const Options *options)
virtual ReaderWriter::ReadResult | readHeightField (const std::string &filename, const Options *options)
virtual ReaderWriter::ReadResult | readNode (const std::string &filename, const Options *options)
virtual ReaderWriter::ReadResult | readShader (const std::string &filename, const Options *options)
virtual ReaderWriter::ReadResult | readScript (const std::string &filename, const Options *options)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ReadFileCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~ReadFileCallback()

virtual osgDB::ReadFileCallback::~ReadFileCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## openArchive()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::openArchive | ( | const std::string & | filename,
|  | ReaderWriter::ArchiveStatus | status,
|  | unsigned int | indexBlockSizeHint,
|  | const Options * | useObjectCache )

virtual

Referenced by osgDB::Registry::openArchive().

## readHeightField()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readHeightField | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readHeightField().

## readImage()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readImage | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readImage().

## readNode()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readNode | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readNode().

## readObject()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readObject | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readObject().

## readScript()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readScript | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readScript().

## readShader()

virtual ReaderWriter::ReadResult osgDB::ReadFileCallback::readShader | ( | const std::string & | filename,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::readShader().

The documentation for this class was generated from the following file:

- osgDB/Callbacks